Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.imageio.plugins.tiff
Class TIFFColorConverter

    java.lang.Object
      |
      +--com.sun.media.imageio.plugins.tiff.TIFFColorConverter

public abstract class TIFFColorConverter
extends Object

An abstract class that performs simple color conversion on 3-banded source images, for use with the TIFF ImageIO plug-in.

Constructor Summary
`TIFFColorConverter()` Constructs an instance of a `TIFFColorConverter`.

Method Summary
`abstract void` | `fromRGB(float r, float g, float b, float[] result)` Converts an RGB triple into the native color space of this TIFFColorConverter, and stores the result in the first three entries of the `result` array.
`abstract void` | `toRGB(float x0, float x1, float x2, float[] rgb)` Converts a triple in the native color space of this TIFFColorConverter into an RGB triple, and stores the result in the first three entries of the `rgb` array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFColorConverter

    public TIFFColorConverter()

  Constructs an instance of a `TIFFColorConverter`.

Method Detail

### fromRGB

    public abstract void fromRGB(float r,
                                 float g,
                                 float b,
                                 float[] result)

  Converts an RGB triple into the native color space of this TIFFColorConverter, and stores the result in the first three entries of the `result` array.

  Parameters:
    `r` - the red value.
    `g` - the green value.
    `b` - the blue value.
    `result` - an array of `float`s containing three elements.
  Throws:
    `NullPointerException` - if `result` is `null`.
    `ArrayIndexOutOfBoundsException` - if `result.length < 3`.

### toRGB

    public abstract void toRGB(float x0,
                               float x1,
                               float x2,
                               float[] rgb)

  Converts a triple in the native color space of this TIFFColorConverter into an RGB triple, and stores the result in the first three entries of the `rgb` array.

  Parameters:
    `x0` - the value of channel 0.
    `x1` - the value of channel 1.
    `x2` - the value of channel 2.
    `rgb` - an array of `float`s containing three elements.
  Throws:
    `NullPointerException` - if `rgb` is `null`.
    `ArrayIndexOutOfBoundsException` - if `rgb.length < 3`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD